
Foreman - Bug #6379

500 ISE on creating a new host: Operation FAILED: can't convert nil into String

06/25/2014 11:41 AM - Dominic Cleal

Status: New   

Priority: Normal   

Assignee:    

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1113014

Description of problem:

I was trying to create a new host via UI and filled the form with all necessary info. But when I submit the form the firebug raised

following error:

"NetworkError: 500 Internal Server Error - https://dhcp207-190.lab.eng.pnq.redhat.com/hosts/shost.katellolabs.org/vm"

vm

ReferenceError: _ is not defined

snippet from production.log  ============================

Processing by HostsController#vm as HTML

Parameters: {"id"=>"shost.katellolabs.org"}

Operation FAILED: can't convert nil into String

Rendered common/500.html.erb (10.2ms)

Completed 500 Internal Server Error in 46ms (Views: 15.4ms | ActiveRecord: 3.8ms)

Version-Release number of selected component (if applicable):

sat6 beta snap10 compose3

How reproducible:

tried once

Steps to Reproduce:

1. created new hostgroup and selected activation-key

2. filled up "New Host" form first with hostgroup and then unselect it

3. Filled all other details and submit the form

Actual results:

Processing by HostsController#vm as HTML

Parameters: {"id"=>"shost.katellolabs.org"}

Operation FAILED: can't convert nil into String

Rendered common/500.html.erb (10.2ms)

Completed 500 Internal Server Error in 46ms (Views: 15.4ms | ActiveRecord: 3.8ms)

Expected results:

host should be created successfully

Additional info:

Related issues:

Blocked by Foreman - Bug #6380: VM not created when resubmitting new host for... Assigned 06/25/2014

Blocked by Foreman - Bug #6381: TFTP orchestration checks applicability of me... New 06/25/2014

History

#1 - 06/25/2014 11:46 AM - Dominic Cleal
https://bugzilla.redhat.com/show_bug.cgi?id=1113014
https://dhcp207-190.lab.eng.pnq.redhat.com/hosts/shost.katellolabs.org/vm


- Blocked by Bug #6380: VM not created when resubmitting new host form after orchestration failure added

#2 - 06/25/2014 11:50 AM - Dominic Cleal

- Blocked by Bug #6381: TFTP orchestration checks applicability of medium to OS late added

#3 - 06/25/2014 11:51 AM - Dominic Cleal

- Tracker changed from Bug to Tracker

- Category set to Host creation

#4 - 06/25/2014 04:33 PM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

#5 - 06/25/2014 09:40 PM - Justin Sherrill

- Bugzilla link deleted (https://bugzilla.redhat.com/show_bug.cgi?id=1113014)

Moved the downstream bz to another issue related to the actual error (and not handling of the error)

#6 - 06/14/2016 07:01 AM - Dominic Cleal

- Tracker changed from Tracker to Bug

#7 - 06/14/2016 08:00 AM - Anonymous

- Status changed from Assigned to New
